<!DOCTYPE html>
<html lang="en-us">

  <head>
    <title>Class Meeting</title>
    <meta charset="UTF-8">
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

    <link rel="shortcut icon" type="image/x-icon" href="assets/favicon.ico" />

    <link href="https://fonts.googleapis.com/css?family=Roboto:400,100,100italic,300,300italic,400italic,500,500italic,700italic,700,900,900italic" rel="stylesheet">

    <!-- STYLESHEETS -->
    <style type="text/css">
      [fuse-cloak], .fuse-cloak {
        display: none !important;
      }
    </style>

    <!-- Icons.css -->
    <link type="text/css" rel="stylesheet" href="assets/icons/fuse-icon-font/style.css">
    <!-- Animate.css -->
    <link type="text/css" rel="stylesheet" href="assets/css/animate.css/animate.min.css">
    <!-- PNotify -->
    <link type="text/css" rel="stylesheet" href="assets/css/pnotify/dist/PNotifyBrightTheme.css">
    <!-- Nvd3 - D3 Charts -->
    <link type="text/css" rel="stylesheet" href="assets/css/nvd3/build/nv.d3.min.css" />
    <!-- Perfect Scrollbar -->
    <link type="text/css" rel="stylesheet" href="assets/css/perfect-scrollbar/css/perfect-scrollbar.css" />
    <!-- Fuse Html -->
    <link type="text/css" rel="stylesheet" href="assets/fuse-html/fuse-html.min.css" />
    <!-- Main CSS -->
    <link type="text/css" rel="stylesheet" href="assets/css/main.css">
    <!-- / STYLESHEETS -->

    <!-- JAVASCRIPT -->
    <!-- jQuery -->
    <script type="text/javascript" src="assets/js/components/jquery/dist/jquery.min.js"></script>
    <!-- Mobile Detect -->
    <script type="text/javascript" src="assets/js/apps/mobile-detect/mobile-detect.min.js"></script>
    <!-- Perfect Scrollbar -->
    <script type="text/javascript" src="assets/js/apps/perfect-scrollbar/dist/perfect-scrollbar.min.js"></script>
    <!-- Popper.js -->
    <script type="text/javascript" src="assets/js/components/popper.js/dist/umd/popper.min.js"></script>
    <!-- Bootstrap -->
    <script type="text/javascript" src="assets/js/components/bootstrap/dist/js/bootstrap.min.js"></script>
    <!-- Nvd3 - D3 Charts -->
    <script type="text/javascript" src="assets/js/components/d3/d3.min.js"></script>
    <script type="text/javascript" src="assets/js/components/nvd3/build/nv.d3.min.js"></script>
    <!-- Data tables -->
    <script type="text/javascript" src="assets/js/components/datatables.net/js/jquery.dataTables.js"></script>
    <script type="text/javascript" src="assets/js/components/datatables-responsive/js/dataTables.responsive.js"></script>
    <!-- PNotify -->
    <script type="text/javascript" src="assets/js/apps/pnotify/dist/iife/PNotify.js"></script>
    <script type="text/javascript" src="assets/js/apps/pnotify/dist/iife/PNotifyStyleMaterial.js"></script>
    <script type="text/javascript" src="assets/js/apps/pnotify/dist/iife/PNotifyButtons.js"></script>
    <script type="text/javascript" src="assets/js/apps/pnotify/dist/iife/PNotifyCallbacks.js"></script>
    <script type="text/javascript" src="assets/js/apps/pnotify/dist/iife/PNotifyMobile.js"></script>
    <script type="text/javascript" src="assets/js/apps/pnotify/dist/iife/PNotifyHistory.js"></script>
    <script type="text/javascript" src="assets/js/apps/pnotify/dist/iife/PNotifyDesktop.js"></script>
    <script type="text/javascript" src="assets/js/apps/pnotify/dist/iife/PNotifyConfirm.js"></script>
    <script type="text/javascript" src="assets/js/apps/pnotify/dist/iife/PNotifyReference.js"></script>
    <!-- Fuse Html -->
    <script type="text/javascript" src="assets/fuse-html/fuse-html.min.js"></script>
    <!-- Socket.io -->
    <script src="https://cdn.jsdelivr.net/npm/socket.io-client@2.2.0/dist/socket.io.js"></script>
    <!-- Main JS -->
    <script type="text/javascript" src="assets/js/general-action.js"></script>
    <script type="text/javascript" src="js/student-class-meeting.js"></script>
    <!-- / JAVASCRIPT -->
  </head>

  <body class="layout layout-vertical layout-left-navigation layout-below-toolbar layout-below-footer">
    <main>
      <div id="wrapper">
        <aside id="aside" class="aside aside-left" data-fuse-bar="aside" data-fuse-bar-media-step="md" data-fuse-bar-position="left">
          <div class="aside-content bg-primary-700 text-auto">

            <div class="aside-toolbar">

              <div class="logo">
                <span class="logo-icon">SL</span>
                <span class="logo-text">Smart Classroom: Smart Learning</span>
              </div>

              <button id="toggle-fold-aside-button" type="button" class="btn btn-icon d-none d-lg-block" data-fuse-aside-toggle-fold>
                <i class="icon icon-backburger"></i>
              </button>

            </div>

            <ul class="nav flex-column custom-scrollbar" id="sidenav" data-children=".nav-item">

              <li class="subheader">
                <span>APPS</span>
              </li>

              <li>
                <li class="nav-item">
                  <a id="studentDashboardLink" class="nav-link ripple" style="text-decoration:none;">
                    <i class="icon s-4 icon-tile-four"></i>
                    <span>Dashboard</span>
                  </a>
                </li>
                <li class="nav-item active">
                  <a id="studentClassMeetingLink" class="nav-link ripple" style="text-decoration:none;">
                    <i class="icon s-4 icon-human-greeting"></i>
                    <span>
                      Class Meeting
                      <!--p class="animated infinite bounce delay-2s">(live)</p-->
                    </span>
                  </a>
                </li>
                <li class="nav-item">
                  <a id="studentAssignmentLink" class="nav-link ripple" style="text-decoration:none;">
                    <i class="icon s-4 icon-folder-account"></i>
                    <span>
                      Assignment
                    </span>
                  </a>
                </li>
              </li>

            </ul>

          </div>
        </aside>

        <div class="content-wrapper">

          <nav id="toolbar" class="bg-white">
            <div class="row no-gutters align-items-center flex-nowrap">
              <div class="col">
                <div class="row no-gutters align-items-center justify-content-end">
                  <div class="user-menu-button dropdown">
                    <div class="dropdown-toggle ripple row align-items-center no-gutters px-2 px-sm-4" role="button" id="dropdownUserMenu" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                      <div class="avatar-wrapper">
                        <img class="avatar" src="assets/images/avatars/profile.jpg">
                        <i id="connectionStat" class="status text-green icon-checkbox-marked-circle s-4"></i>
                      </div>
                      <span id="userId" class="username mx-3 d-none d-md-block"></span>
                    </div>
                    <div class="dropdown-menu" aria-labelledby="dropdownUserMenu">
                      <a class="dropdown-item" href="#">
                        <div class="row no-gutters align-items-center flex-nowrap">
                          <i class="icon-account"></i>
                          <span class="px-3">My Profile</span>
                        </div>
                      </a>
                      <a class="dropdown-item" href="#">
                        <div class="row no-gutters align-items-center flex-nowrap">
                          <i class="icon-email"></i>
                          <span class="px-3">Inbox</span>
                        </div>
                      </a>
                      <div class="dropdown-divider"></div>
                      <a class="dropdown-item" data-toggle="modal" data-target="#logoutModal">
                        <div class="row no-gutters align-items-center flex-nowrap">
                          <i class="icon-logout"></i>
                          <span class="px-3">Logout</span>
                        </div>
                      </a>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </nav>

          <div class="content custom-scrollbar">
            <div id="project-dashboard" class="page-layout simple right-sidebar">
              <div class="page-content-wrapper custom-scrollbar">

                <!-- CONTENT -->
                <div class="page-content p-6">
                  <div id="contentContainer" class="content container">

                    <div class="row">

                      <!-- BLOCK 1 -->
                      <div class="col-12 col-sm-6">
                        <div class="example">

                          <div class="description">
                            <div class="description-text">
                              <h5><font color="green">Presentation Video</font></h5>
                            </div>
                          </div>

                          <div class="source-preview-wrapper">
                            <div class="preview">
                              <div class="preview-elements">
                                <div class="card">
                                  <div class="card-body">
                                    <iframe id="presentationVideo" width="450" height="315" src="" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
                                    <!--iframe width="450" height="315" src="https://www.youtube.com/embed/-cRVQ1yo7wg" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe-->
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>

                        </div>
                      </div>
                      <!-- End of BLOCK 1 -->

                      <!-- BLOCK 2 -->
                      <div class="col-12 col-sm-6">
                        <div class="example">

                          <div class="description">
                            <div class="description-text">
                              <h5><font color="green">Presentation Material</font></h5>
                            </div>
                          </div>

                          <div class="source-preview-wrapper">
                            <div class="preview">
                              <div class="preview-elements">
                                <div class="card">
                                  <div class="card-body">
                                    <iframe src="https://docs.google.com/presentation/d/e/2PACX-1vRzT_rTxoqISQWQp1JyoUuV0R6G5pR--cnmRutKdTOLCibLtz7PN5Pa0y1aXfA6hKfVtpmm8bzcQSjT/embed?start=false&loop=false&delayms=5000" frameborder="0" width="450" height="315" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>

                        </div>
                      </div>
                      <!-- End of BLOCK 2 -->

                    </div>

                    <div class="row">
                      <!-- BLOCK 3 -->
                        <div class="col-12 col-sm-6">
                          <div class="example">

                            <div class="description">
                              <div class="description-text">
                                <h5><font color="green">Notes</font></h5>
                              </div>
                            </div>

                            <div class="source-preview-wrapper">
                              <div class="preview">
                                <div class="preview-elements">
                                  <div class="card">
                                    <div class="card-body">
                                      <div class="form-group">
                                        <textarea class="form-control" id="exampleFormControlPersonalNotes" rows="4"></textarea>
                                        <textarea class="form-control" id="personalNotesName" rows="1"  style="resize:none;"></textarea>
                                        <button type="submit" id="saveNotes" class="btn btn-primary">Save</button>
                                      </div>
                                    </div>
                                  </div>
                                </div>
                              </div>
                            </div>

                          </div>
                        </div>
                        <!-- End of BLOCK 3 -->

                        <!-- BLOCK4 -->
                        <div class="col-12 col-sm-6">
                          <div class="example">

                            <div class="description">
                              <div class="description-text">
                                <h5><font color="green">Class Discussion</font></h5>
                              </div>
                            </div>

                            <div class="source-preview-wrapper">
                              <div class="preview">
                                <div class="preview-elements">
                                  <div class="card">
                                    <div class="card-body">
                                      <div class="form-group">
                                        <textarea class="form-control" id="classDiscussion" rows="4" style="resize:none;" readonly></textarea>
                                        <textarea class="form-control" id="exampleFormControlDiscussion" rows="1"></textarea>
                                        <button type="submit" id="submitMsg" class="btn btn-secondary"><span class="icon-send"></span></button>
                                      </div>
                                    </div>
                                  </div>
                                </div>
                              </div>
                            </div>

                          </div>
                        </div>
                        <!-- End of BLOCK 4 -->
                      </div>

                    </div>
                  </div>
                  <!-- End of CONTENT -->

                </div>
              </div>
            </div>
          </div>

				</div>

      </div>
    </main>

    <!-- Initiate Class -->
    <div class="modal" id="initiateClassModal">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h2 class="modal-title" id="classTitle"></h2>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span>&times;</span></button>
          </div>
          <div class="modal-body" id="classDetail"></div>
          <div class="modal-footer">
            <a class="btn btn-secondary" id="btnReady">Initiate</a>
          </div>
        </div>
      </div>
    </div>
    <!-- End of Initiate Class -->

    <!-- Logout Modal-->
    <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="logoutModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="logoutModalLabel">Logout from app?</h5>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">Choose "Logout" to end your session</div>
          <div class="modal-footer">
            <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
            <a class="btn btn-primary" id="btnLogout">Logout</a>
          </div>
        </div>
      </div>
    </div>
    <!-- End of Logout Modal-->

  </body>

</html>
